VDPAU: VdpOutputSurfaceRenderBlendState Struct Reference

VDPAU

Data Fields
VdpOutputSurfaceRenderBlendState Struct Reference
Core API » VdpOutputSurface Rendering Functionality

Complete blending operation definition. More...

`#include <vdpau.h>`

## Data Fields
uint32_t | struct_version
VdpOutputSurfaceRenderBlendFactor | blend_factor_source_color
VdpOutputSurfaceRenderBlendFactor | blend_factor_destination_color
VdpOutputSurfaceRenderBlendFactor | blend_factor_source_alpha
VdpOutputSurfaceRenderBlendFactor | blend_factor_destination_alpha
VdpOutputSurfaceRenderBlendEquation | blend_equation_color
VdpOutputSurfaceRenderBlendEquation | blend_equation_alpha
VdpColor | blend_constant

## Detailed Description

Complete blending operation definition.

A "blend state" operation controls the math behind certain rendering operations.

The blend math is the familiar OpenGL blend math:

Note that when equation is MIN or MAX, the blend factors and constants are ignored, and are treated as if they were 1.0.

## Field Documentation

## ◆ blend_constant

VdpColor VdpOutputSurfaceRenderBlendState::blend_constant

## ◆ blend_equation_alpha

VdpOutputSurfaceRenderBlendEquation VdpOutputSurfaceRenderBlendState::blend_equation_alpha

## ◆ blend_equation_color

VdpOutputSurfaceRenderBlendEquation VdpOutputSurfaceRenderBlendState::blend_equation_color

## ◆ blend_factor_destination_alpha

VdpOutputSurfaceRenderBlendFactor VdpOutputSurfaceRenderBlendState::blend_factor_destination_alpha

## ◆ blend_factor_destination_color

VdpOutputSurfaceRenderBlendFactor VdpOutputSurfaceRenderBlendState::blend_factor_destination_color

## ◆ blend_factor_source_alpha

VdpOutputSurfaceRenderBlendFactor VdpOutputSurfaceRenderBlendState::blend_factor_source_alpha

## ◆ blend_factor_source_color

VdpOutputSurfaceRenderBlendFactor VdpOutputSurfaceRenderBlendState::blend_factor_source_color

## ◆ struct_version

uint32_t VdpOutputSurfaceRenderBlendState::struct_version

This field must be filled with VDP_OUTPUT_SURFACE_RENDER_BLEND_STATE_VERSIION

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h